# Class WBWRenderer

java.lang.Object
org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer
org.eclipse.e4.ui.workbench.renderers.swt.SWTPartRenderer
org.eclipse.e4.ui.workbench.renderers.swt.WBWRenderer

public class WBWRenderer extends SWTPartRenderer
Default SWT renderer responsible for an instance of MWindow. See `WorkbenchRendererFactory`

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static class`
`WBWRenderer.ThemeDefinitionChangedHandler`

## Field Summary

### Fields inherited from class org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer

`OWNING_ME`

## Constructor Summary

Constructors
Constructor
Description
`WBWRenderer()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`createWidget(MUIElement element, Object parent)`
`Image`
`getImage(MUILabel element)`
`Object`
`getUIContainer(MUIElement element)`
`void`
`hookControllerLogic(MUIElement me)`
`protected void`
`init()`
`void`
`postProcess(MUIElement shellME)`
`void`
`processContents(MElementContainer<MUIElement> me)`

### Methods inherited from class SWTPartRenderer

`bindWidget, calcIndex, calcVisibleIndex, childRendered, disposeWidget, forceFocus, getImageFromURI, getModelElement, getParentWidget, getToolTip, imageChanged, init, reapplyStyles, requiresFocus, setCSSInfo, styleElement, unbindWidget`

### Methods inherited from class org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer

`activate, getContext, getContextForParent, getStyleOverride, hideChild, removeGui`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WBWRenderer

public WBWRenderer()

## Method Details

### init

@PostConstruct protected void init()

### createWidget

public Object createWidget(MUIElement element, Object parent)

Specified by:
  `createWidget` in class `org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer`

### getImage

public Image getImage(MUILabel element)

Overrides:
  `getImage` in class `SWTPartRenderer`

### hookControllerLogic

public void hookControllerLogic(MUIElement me)

Overrides:
  `hookControllerLogic` in class `SWTPartRenderer`

### processContents

public void processContents(MElementContainer<MUIElement> me)

Overrides:
  `processContents` in class `SWTPartRenderer`

### getUIContainer

public Object getUIContainer(MUIElement element)

Overrides:
  `getUIContainer` in class `org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer`

### postProcess

public void postProcess(MUIElement shellME)

Overrides:
  `postProcess` in class `org.eclipse.e4.ui.internal.workbench.swt.AbstractPartRenderer`